local function getMount(msg)
	if GetCurrentMapContinent()==7 then
		msg = msg:gsub("%[.-flyable.-%]",function(c)
		return c:gsub("flyable","stance:9")
		end)
		if GetZoneText()=="Nagrand" then
			msg = msg:gsub("%[.-nagrand.-%]",function(n)
			return n:gsub("nagrand","outdoors")end)
		else
			msg = msg:gsub("%[.-nagrand.-%]",function(n)
			return n:gsub("nagrand","stance:9")end)
		end
	elseif GetCurrentMapContinent~=7 then
	msg = msg:gsub("%[.-nagrand.-%]",function(n)
		return n:gsub("nagrand","stance:9")end)
		end
	return SecureCmdOptionParse(msg)
end

SlashCmdList["MOUNT"] = function(msg)
	local mount = getMount(msg)
		if mount then
			CastSpellByName(mount)
		end
	end
SLASH_MOUNT1 = "/mount"

local function updateIcons()
	for i=1,138 do
	local _,_,body = GetMacroInfo(i)
		if body and body:match("/mount") then
--			if GetZoneText()=="Nagrand" then
--				local name = GetSpellInfo(65803)
--				local cmd = name
--				end
			local cmd = body:match("/mount (.-)\n" or body:match("/mount (.-)$"))
			SetMacroSpell(i,getMount(cmd))
		end
	end
end

local function eventhandler(self,event,...)
 updateIcons()
end

local frame = CreateFrame("FRAME", "Mount")
	frame:RegisterEvent("PLAYER_ENTERING_WORLD")
	frame:RegisterEvent("UPDATE_MACROS")
	frame:RegisterEvent("CHAT_MSG_CHANNEL_NOTICE")
	frame:RegisterEvent("MODIFIER_STATE_CHANGED")
	frame:SetScript("OnEvent",eventhandler)